
Katello - Bug #27567

Problem with redhat.repo after subscription

08/09/2019 07:23 AM - Alex Losa

Status: Closed   

Priority: Normal   

Assignee:    

Category: Activation Key   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have just installed a new Foreman/Katello server, and when I try to register hosts, they registers correctly, and I can see them at

Katello website, but in the hosts aren't being created the redhat.repo file at /etc/yum.repos.d, so, the host is registered at Katello, but

don't receive repositories.

Do you know if this problem is common and it's easy to change any parameter?

thanks.

My new installation is with:

katello-3.12.1-1.el7.noarch

foreman-1.22.0-1.el7.noarch

in Centos 7.6.1810

History

#1 - 08/09/2019 07:30 AM - Alex Losa

I've tried to register the host into other Foreman and creates redhat.repo correctly, but, not from my new Foreman/Katello

the secuence is this:

[root@pruebas-foreman yum.repos.d]# ll

total 40

rw-r--r- 1 root root 1664 ago  9 09:26 CentOS-Base.repo

rw-r--r- 1 root root 1309 ago  9 09:26 CentOS-CR.repo

rw-r--r- 1 root root  649 ago  9 09:26 CentOS-Debuginfo.repo

rw-r--r- 1 root root  314 ago  9 09:26 CentOS-fasttrack.repo

rw-r--r- 1 root root  630 ago  9 09:26 CentOS-Media.repo

rw-r--r- 1 root root 1331 ago  9 09:26 CentOS-Sources.repo

rw-r--r- 1 root root 2893 ago  9 09:26 CentOS-Vault.repo

rw-r--r- 1 root root  951 ago  9 09:26 epel.repo

rw-r--r- 1 root root 1050 ago  9 09:26 epel-testing.repo

rw-r--r- 1 root root  378 ago  9 09:26 foreman-client.repo

[root@pruebas-foreman yum.repos.d]# yum install 

http://foreman.gestion.ieca.junta-andalucia.es/pub/katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch.rpm

Complementos cargados:enabled_repos_upload, fastestmirror, package_upload, product-id, search-disabled-

: repos, subscription-manager, tracer_upload

This system is not registered with an entitlement server. You can use subscription-manager to register.

katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch.rpm      | 7.3 kB  00:00:00

Examinando /var/tmp/yum-root-GMa71w/katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch.rpm:

katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch

Marcando /var/tmp/yum-root-GMa71w/katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch.rpm para ser instalado

Resolviendo dependencias

--> Ejecutando prueba de transacción

---> Paquete katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es.noarch 0:1.0-1 debe ser instalado

--> Resolución de dependencias finalizada
http://foreman.gestion.ieca.junta-andalucia.es/pub/katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch.rpm


Dependencias resueltas

=========================================================================================================

Package    Arquitectura

Versión

Repositorio                                                               Tamaño

=========================================================================================================

Instalando:

katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es

noarch 1.0-1 /katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch  16 k

Resumen de la transacción

=========================================================================================================

Instalar  1 Paquete

Tamaño total: 16 k

Tamaño instalado: 16 k

Is this ok [y/d/N]: y

Downloading packages:

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Instalando    : katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch           1/1

Uploading Package Profile

Cannot upload package profile. Is this client registered?

base/7/x86_64                                                                     | 3.6 kB  00:00:00

epel/x86_64/metalink                                                              |  30 kB  00:00:00

extras/7/x86_64                                                                   | 3.4 kB  00:00:00

foreman-client/x86_64                                                             | 3.6 kB  00:00:00

updates/7/x86_64                                                                  | 3.4 kB  00:00:00

Loading mirror speeds from cached hostfile  * base: mirror.uv.es  * epel: mirror.uv.es  * extras: mirror.uv.es  * updates: ftp.cica.es

Uploading Tracer Profile

Cannot upload tracer data, is this client registered?

Comprobando   : katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch           1/1

Instalado:

katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es.noarch 0:1.0-1

¡Listo!

Uploading Enabled Repositories Report

Cannot upload enabled repos report, is this client registered?

[root@pruebas-foreman yum.repos.d]# 'mv' /etc/yum.repos.d/* /root/.backup_yum_repos/

[root@pruebas-foreman yum.repos.d]# ll

total 0

[root@pruebas-foreman yum.repos.d]# subscription-manager register --org="IECA" --activationkey=akey_ieca_piloto_centos7

El sistema ha sido registrado con ID: 1980b7a7-4c5e-4c60-9398-c1fd1df5aa4a

El nombre del sistema registrado es: pruebas-foreman

No hay productos instalados.

[root@pruebas-foreman yum.repos.d]# ll

total 4

rw-r--r- 1 root root 2086 ago  9 09:27 redhat.repo

This is OK, but if I try to the new server.... :

[root@pruebas-foreman yum.repos.d]# subscription-manager unregister

Anulando el registro de: foreman.gestion.ieca.junta-andalucia.es:443/rhsm

Se ha cancelado el registro del sistema.

[root@pruebas-foreman yum.repos.d]# ll

total 0

[root@pruebas-foreman yum.repos.d]# yum remove katello-ca-consumer*

Complementos cargados:enabled_repos_upload, fastestmirror, package_upload, product-id, search-disabled-

: repos, subscription-manager, tracer_upload

This system is not registered with an entitlement server. You can use subscription-manager to register.

Resolviendo dependencias

--> Ejecutando prueba de transacción

---> Paquete katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es.noarch 0:1.0-1 debe ser eliminado

--> Resolución de dependencias finalizada
Dependencias resueltas

=========================================================================================================

Package                                                        Arquitectura

Versión     Repositorio  Tamaño

=========================================================================================================

Eliminando:

katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es    noarch    1.0-1       installed     16 k

Resumen de la transacción

=========================================================================================================

Eliminar  1 Paquete

Tamaño instalado: 16 k

Está de acuerdo [s/N]:s

Downloading packages:

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Eliminando    : katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch           1/1

Uploading Package Profile

Cannot upload package profile. Is this client registered?

Loading mirror speeds from cached hostfile

Uploading Tracer Profile

Cannot upload tracer data, is this client registered?

Comprobando   : katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es-1.0-1.noarch           1/1

Eliminado(s):

katello-ca-consumer-foreman.gestion.ieca.junta-andalucia.es.noarch 0:1.0-1

¡Listo!

Uploading Enabled Repositories Report

Cannot upload enabled repos report, is this client registered?

[root@pruebas-foreman yum.repos.d]# 'cp' /root/.backup_yum_repos/* .

[root@pruebas-foreman yum.repos.d]# ll

total 40

rw-r--r- 1 root root 1664 ago  9 09:28 CentOS-Base.repo

rw-r--r- 1 root root 1309 ago  9 09:28 CentOS-CR.repo

rw-r--r- 1 root root  649 ago  9 09:28 CentOS-Debuginfo.repo

rw-r--r- 1 root root  314 ago  9 09:28 CentOS-fasttrack.repo

rw-r--r- 1 root root  630 ago  9 09:28 CentOS-Media.repo

rw-r--r- 1 root root 1331 ago  9 09:28 CentOS-Sources.repo

rw-r--r- 1 root root 2893 ago  9 09:28 CentOS-Vault.repo

rw-r--r- 1 root root  951 ago  9 09:28 epel.repo

rw-r--r- 1 root root 1050 ago  9 09:28 epel-testing.repo

rw-r--r- 1 root root  378 ago  9 09:28 foreman-client.repo

[root@pruebas-foreman yum.repos.d]# yum install 

http://foreman-ssl.ieca.junta-andalucia.es/pub/katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch.rpm

Complementos cargados:enabled_repos_upload, fastestmirror, package_upload, product-id, search-disabled-

: repos, subscription-manager, tracer_upload

This system is not registered with an entitlement server. You can use subscription-manager to register.

katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch.rpm          | 7.3 kB  00:00:00

Examinando /var/tmp/yum-root-GMa71w/katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch.rpm:

katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch

Marcando /var/tmp/yum-root-GMa71w/katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch.rpm para ser instalado

Resolviendo dependencias

--> Ejecutando prueba de transacción

---> Paquete katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es.noarch 0:1.0-1 debe ser instalado

--> Resolución de dependencias finalizada

Dependencias resueltas

=========================================================================================================

Package        Arquitectura

Versión

Repositorio                                                           Tamaño

=========================================================================================================

Instalando:

katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es

noarch 1.0-1 /katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch  16 k
Resumen de la transacción

=========================================================================================================

Instalar  1 Paquete

Tamaño total: 16 k

Tamaño instalado: 16 k

Is this ok [y/d/N]: y

Downloading packages:

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Instalando    : katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch               1/1

Uploading Package Profile

Cannot upload package profile. Is this client registered?

base/7/x86_64                                                                     | 3.6 kB  00:00:00

epel/x86_64/metalink                                                              |  30 kB  00:00:00

extras/7/x86_64                                                                   | 3.4 kB  00:00:00

foreman-client/x86_64                                                             | 3.6 kB  00:00:00

updates/7/x86_64                                                                  | 3.4 kB  00:00:00

Loading mirror speeds from cached hostfile  * base: centos.mirror.liquidtelecom.com  * epel: mirror.freethought-internet.co.uk  * extras: mirror.uv.es  *

updates: ftp.cica.es

Uploading Tracer Profile

Cannot upload tracer data, is this client registered?

Comprobando   : katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es-1.0-1.noarch               1/1

Instalado:

katello-ca-consumer-foreman-ssl.ieca.junta-andalucia.es.noarch 0:1.0-1

¡Listo!

Uploading Enabled Repositories Report

Cannot upload enabled repos report, is this client registered?

[root@pruebas-foreman yum.repos.d]# 'mv' /etc/yum.repos.d/* /root/.backup_yum_repos/

[root@pruebas-foreman yum.repos.d]# ll

total 0

[root@pruebas-foreman yum.repos.d]# subscription-manager register --org="IECA" --activationkey=akey_produccion

El sistema ha sido registrado con ID: 42bf08a3-6298-41f3-b515-e41134ba4ecc

El nombre del sistema registrado es: pruebas-foreman

No hay productos instalados.

[root@pruebas-foreman yum.repos.d]# ll

total 0

The redhat.repo is not created...

#2 - 08/13/2019 07:07 AM - Alex Losa

- Status changed from New to Resolved

I found the problem.

I forgot to subscribe a repo into the activation key

Sorry

#3 - 08/13/2019 07:45 PM - Chris Roberts

- Category set to Activation Key

- Status changed from Resolved to Closed

- Priority changed from Immediate to Normal

- Target version set to Katello Recycle Bin

- Triaged changed from No to Yes
